Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model.dynamic
Class DynamicAttributeIterator

    java.lang.Object
      org.apache.commons.jxpath.ri.model.beans.PropertyIterator
          org.apache.commons.jxpath.ri.model.beans.BeanAttributeIterator
              org.apache.commons.jxpath.ri.model.dynamic.DynamicAttributeIterator

All Implemented Interfaces:
  NodeIterator

    public class DynamicAttributeIterator

extends BeanAttributeIterator

`DynamicAttributeIterator` is different from a regular `BeanAttributeIterator` in that given a property name it will always find that property (albeit with a null value).

Version:
  $Id: DynamicAttributeIterator.java 652845 2008-05-02 17:46:46Z ebourg $
Author:
  Dmitri Plotnikov

Constructor Summary
`DynamicAttributeIterator(PropertyOwnerPointer parent, QName name)` Create a new DynamicAttributeIterator.

Method Summary
`protected void` | `prepareForIndividualProperty(String name)` Prepare for an individual property.

Methods inherited from class org.apache.commons.jxpath.ri.model.beans.BeanAttributeIterator
`getNodePointer, getPosition, setPosition`

Methods inherited from class org.apache.commons.jxpath.ri.model.beans.PropertyIterator
`getPropertyPointer, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicAttributeIterator

    public DynamicAttributeIterator(PropertyOwnerPointer parent,
                                    QName name)

  Create a new DynamicAttributeIterator.

  Parameters:
    `parent` - pointer
    `name` - to match properties

Method Detail

### prepareForIndividualProperty

    protected void prepareForIndividualProperty(String name)

  Description copied from class: `PropertyIterator`
  Prepare for an individual property.

  Overrides:
    `prepareForIndividualProperty` in class `PropertyIterator`
  Parameters:
    `name` - property name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.